summaryrefslogtreecommitdiff
path: root/src/testing/test_merchant_order_creation.sh
diff options
context:
space:
mode:
authorSebastian <sebasjm@gmail.com>2022-01-19 02:22:12 -0300
committerSebastian <sebasjm@gmail.com>2022-01-19 02:22:12 -0300
commit08618f9b74f8881680f0315328539b3d2900ce25 (patch)
treee594fa8830786a2798c9ba3d9e0db5f945a3b273 /src/testing/test_merchant_order_creation.sh
parent9a86e1f1e10338bf869944b2fb215a53aa1fcc54 (diff)
downloadmerchant-08618f9b74f8881680f0315328539b3d2900ce25.tar.gz
merchant-08618f9b74f8881680f0315328539b3d2900ce25.tar.bz2
merchant-08618f9b74f8881680f0315328539b3d2900ce25.zip
issue #7148
Diffstat (limited to 'src/testing/test_merchant_order_creation.sh')
-rwxr-xr-xsrc/testing/test_merchant_order_creation.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/src/testing/test_merchant_order_creation.sh b/src/testing/test_merchant_order_creation.sh
index 3ab07406..582394b4 100755
--- a/src/testing/test_merchant_order_creation.sh
+++ b/src/testing/test_merchant_order_creation.sh
@@ -560,4 +560,19 @@ fi
echo " OK"
+
+echo -n "Getting information about kyc ..."
+
+STATUS=$(curl -H "Content-Type: application/json" -X GET \
+ http://localhost:9966/instances/default/private/kyc \
+ -w "%{http_code}" -s -o /dev/null)
+
+if [ "$STATUS" != "204" ]
+then
+ echo 'should respond ok, instance created. got:' $STATUS
+ exit 1
+fi
+
+echo " OK"
+
exit 0